#!/usr/bin/python3

import os
from subprocess import check_call

os.environ['UBUMAIL'] = 'Jason Gerard DeRose <jderose@novacut.com>'
ppa = 'ppa:gstreamer-developers/ppa'
#ppa = 'ppa:novacut/pre-stable'

names = [
#    'opus',
#    'libvpx',
#    'gstreamer1.0',
#    'gst-plugins-base1.0',
    'gst-plugins-good1.0',
    'gst-plugins-ugly1.0',
    'gst-plugins-bad1.0',
    'gst-libav1.0',
]

for name in names:
    for dst in ['quantal']:
        if dst == 'precise' and name == 'gst-plugins-bad1.0':
            continue
        cmd = [
            'backportpackage', '-y',
            '--source', 'raring',
            '--destination', dst,
            '--upload', ppa,
            #'--suffix', '~ppa2',
            name
        ]
        print(cmd)
        check_call(cmd)
